; -------- King of Kings Configuration File --------

; --- Hash Tables ---
; maxhash <m>
;     m - a value in megabytes specifying the maximum total amount of
;         memory to use for hash tables.

maxhash 72

; --- Opening Book ---
; bkfile <name>
;     name - path and name of the opening book.

bkfile DC-Medium.bk

; --- Nalimov Endgame Tablebases ---
; egtbpath <path>
;     path - the paths for the endgame tablebase files. Several paths
;            can be separated by ',' or ';'.
; egtbcache <m>
;     m - a value in megabytes specifying the amount of memory to use
;         for caching tablebase entries.

egtbpath C:\Chess\TB
egtbcache 8

; --- Update Information ---
; noise <kn>
;     kn - the number of kilonodes that must be searched before any
;          updates are shown.

noise 100

; --- Resignation ---
; resign 0|1
;     - specifies whether King of Kings should resign if it thinks that
;       it doesn't have a chance to win or draw. Internally the
;       threshold is to 8 pawns and 4 moves, which means that it will
;       resign if it is down an equivalent of 8 pawns for at least 4
;       moves and score doesn't fluctuate too much.

resign 1